import { build, emptyDir } from "dnt";

await emptyDir("./npm");

await build({
  entryPoints: ["./mod.ts"],
  outDir: "./npm",
  shims: {
    deno: true,
  },
  test: false,
  importMap: "deno.json",
  package: {
    name: "@qpismont/nano-service",
    version: Deno.args[0],
    description: "Your package.",
    license: "MIT",
    repository: {
      "type": "git",
      "url": "https://gitea.qpismont.fr/qpismont/nano-service",
    },
  },
  postBuild() {
    Deno.copyFileSync("LICENSE", "npm/LICENSE");
    Deno.copyFileSync("README.md", "npm/README.md");
  },
});
